Page MenuHomePhabricator

Create Kafka deployment checklist on wikitech {hawk} [5 pts]
Closed, ResolvedPublic

Description

From Kafka upgrade post-mortem:
https://etherpad.wikimedia.org/p/kafka_upgrade_2015-08_postmortem

Include:

  1. Check Apache Kafka JIRA for known issues...check bugs that affect version in JIRA:

https://issues.apache.org/jira/browse/KAFKA-2496?jql=project%20%3D%20KAFKA%20AND%20affectedVersion%20%3D%200.8.2.1

https://archive.apache.org/dist/kafka/0.8.2.1/RELEASE_NOTES.html)

  1. Stress test to test functionally to see if Varnish-Kafka latency goes up

Event Timeline

ggellerman raised the priority of this task from to Needs Triage.
ggellerman updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 5:17 PM
Milimetric renamed this task from Create Kafka deployment checklist on wikitech to Create Kafka deployment checklist on wikitech {hawk}.Sep 10 2015, 5:16 PM
Milimetric triaged this task as High priority.
Milimetric set Security to None.
Milimetric moved this task from Incoming to Prioritized on the Analytics-Backlog board.
kevinator renamed this task from Create Kafka deployment checklist on wikitech {hawk} to Create Kafka deployment checklist on wikitech {hawk} [5 pts].Sep 21 2015, 4:17 PM
Ottomata moved this task from Next Up to In Code Review on the Analytics-Kanban board.EditedSep 22 2015, 4:22 PM

@JAllemandou, would you look that over and let me know what you think or would change?

@Ottomata A nic addition would be the grafana dashboard URL, but except from that it looks good :)

ggellerman removed a subscriber: Ottomata.
kevinator closed this task as Resolved.Sep 28 2015, 3:14 PM
kevinator added a subscriber: kevinator.